## org.apache.axis.ime.internal
Class MessageExchangeReceiveContext

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.MessageExchangeReceiveContext

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MessageExchangeSendContext

public class MessageExchangeReceiveContext
extends java.lang.Object
implements java.io.Serializable

Author:
  James M Snell (jasnell@us.ibm.com), Ray Chun (rchun@sonicsoftware.com)
See Also:
  Serialized Form

Field Summary
`protected MessageExchangeCorrelator` `correlator`
`protected MessageExchangeEventListener` `listener`

Constructor Summary
`protected` `MessageExchangeReceiveContext()`

Method Summary
`MessageExchangeCorrelator` `getMessageExchangeCorrelator()`
`MessageExchangeEventListener` `getMessageExchangeEventListener()`
`static MessageExchangeReceiveContext` `newInstance(MessageExchangeCorrelator correlator, MessageExchangeEventListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listener

    protected MessageExchangeEventListener listener

### correlator

    protected MessageExchangeCorrelator correlator

Constructor Detail

### MessageExchangeReceiveContext

    protected MessageExchangeReceiveContext()

Method Detail

### newInstance

    public static MessageExchangeReceiveContext newInstance(MessageExchangeCorrelator correlator,
                                                            MessageExchangeEventListener listener)

### getMessageExchangeCorrelator

    public MessageExchangeCorrelator getMessageExchangeCorrelator()

### getMessageExchangeEventListener

    public MessageExchangeEventListener getMessageExchangeEventListener()

Copyright © 2003 Apache Web Services Project. All Rights Reserved.